#!/usr/bin/env bash

task_begin "Configuring firewall";

#shellcheck disable=SC2154
while read -r rule; do
	execute ufw ${rule};
done < <(cat "${temp_dir}/ufw-rules.txt");

task_end "$?" "Error: Failed to configure firewall";


# TODO: Make this automatic. For now it's on a prompt to avoid a lockout.
if ask_yesno "Enable UFW? Current firewall rules are listed below.\n$(ufw show added)"; then
	task_begin "Enabling UFW";
	execute ufw enable;
	task_end "$?" "Error: Failed to enable UFW"
fi
